
%define gtk2_version 2.2.0
%define glib2_version 2.2.0
%define rdesktop_version 1.1.0

Summary: Client for VNC and Windows Terminal Server
Name: tsclient
Version: 0.104
Release: 2.XOS.1
URL: http://www.gnomepro.com/tsclient/
Source0: http://www.gnomepro.com/tsclient/%{name}-%{version}.tar.bz2
License: GPL
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: gnome-panel
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: rdesktop >= %{rdesktop_version}

## we require rdesktop OR vncviewer - so we can't really actually
## require either one.

%description
tsclient is a frontend that makes it easy to use rdesktop and vncviewer.
You will need to install rdesktop or vnc in addition to tsclient.

%prep
%setup -q

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

#desktop-file-install --vendor tsclient --delete-original      \
#  --dir $RPM_BUILD_ROOT%{_datadir}/applications               \
#  --add-category X-Red-Hat-Base                               \
#  $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/apps

perl -pi -e 's/Client Applet/Client/g' $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps

# %{_datadir}/applications

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 0.104-2.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on tsclient-0.104-2.src.rpm
  (md5sum of original source rpm: 588d5d8bde8914483e1087deb36b3cd1).

* Thu May  1 2003 Elliot Lee <sopwith@redhat.com> 0.104-2
- buildrequires: gnome-panel

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 0.104-1
- 0.104

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan 10 2003 Havoc Pennington <hp@redhat.com>
- no word "applet" in the menus

* Wed Jan  8 2003 Jeff Johnson <jbj@redhat.com> 0.76-2
- don't include -debuginfo files in package.

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- 0.76

* Sat Dec 14 2002 Havoc Pennington <hp@redhat.com>
- and 0.74 comes out mere hours later... ;-)

* Sat Dec 14 2002 Havoc Pennington <hp@redhat.com>
- 0.72
- fix description

* Thu Dec 12 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


